<app-common-header name="Help"></app-common-header>

<ion-content>
    <ion-item detail="false" lines="none">
        <ion-grid>
            <ion-row (click)="signOnlyMe = !signOnlyMe;">
                <ion-label>
                    <ion-icon mode="md" name="arrow-dropright" *ngIf="!signOnlyMe"></ion-icon>
                    <ion-icon mode="md" name="arrow-dropdown" *ngIf="signOnlyMe"></ion-icon>
                    Single sign a document
                </ion-label>
            </ion-row>
            <ion-row>
                <div *ngIf="signOnlyMe">
                    <p>1. Click the <b>Sign</b> icon.</p>
                    <img src="../../assets/help/sign-icon.png">
                    <p>2. Select a document that you want to sign (.pdf filetype).</p>
                    <p>3. Click <b>Next</b>.</p>
                    <img src="../../assets/help/sign1.png">
                    <p>4. Enter your name which could be shown in document. Check the information carefully and click
                        <b>Sign Document</b>.</p>
                    <img src="../../assets/help/sign2.png">
                    <img src="../../assets/help/sign3.png">
                    <p>5. Put your signature into document, then click <b>Finish</b></p>
                    <p>6. Waiting for the procces complete. The result will be shown after that.</p>
                    <p>7. Click <b>Finish</b>.</p>
                </div>
            </ion-row>
        </ion-grid>
    </ion-item>

    <ion-item detail="false" lines="none">
        <ion-grid>
            <ion-row (click)="signWithOthers = !signWithOthers;">
                <ion-label>
                    <ion-icon mode="md" name="arrow-dropright" *ngIf="!signWithOthers"></ion-icon>
                    <ion-icon mode="md" name="arrow-dropdown" *ngIf="signWithOthers"></ion-icon>
                    Sign a document with others
                </ion-label>
            </ion-row>
            <ion-row>
                <div *ngIf="signWithOthers">
                    <p>1. Click the <b>Sign</b> icon.</p>
                    <img src="../../assets/help/sign-icon.png">
                    <p>2. Select a document that you want to sign (.pdf filetype).</p>
                    <p>3. Click <b>Next</b>.</p>
                    <img src="../../assets/help/sign1.png">
                    <p>4. Choose <b>With others</b> tab</p>
                    <p>5. Enter your name, cosigner's public keys and names</p>
                    <p>6. Check the information carefully and click <b>Sign Document</b>.</p>
                    <img src="../../assets/help/sign4.png">
                    <p>7. Put your signature and cosigner's signature positions, then click <b>Finish</b></p>
                    <p>8. Waiting for the procces complete. The result will be shown aftre that.</p>
                    <p>9. Invite cosigners to sign the document by clicking <b>Invite</b>. A message will be sent via
                        social applications or email.</p>
                    <p>10. Click <b>Finish</b>.</p>
                </div>
            </ion-row>
        </ion-grid>
    </ion-item>

    <!-- <ion-item detail="false" lines="none">
        <ion-grid>
            <ion-row (click)="createGroup = !createGroup;">
                <ion-label>
                    <ion-icon mode="md" name="arrow-dropright" *ngIf="!createGroup"></ion-icon>
                    <ion-icon mode="md" name="arrow-dropdown" *ngIf="createGroup"></ion-icon>
                    Create Group
                </ion-label>
            </ion-row>
            <ion-row>
                <div *ngIf="createGroup">
                    <p>1. Click the <b>Menu</b> icon.</p>
                    <img src="../../assets/help/menu-icon.png">
                    <p>2. Choose <b>Groups</b>.</p>
                    <p>3. Click the <b>Add</b> icon.</p>
                    <img src="../../assets/help/group1.png">
                    <p>4. Enter group name and group members public key.</p>
                    <img src="../../assets/help/group2.png">
                    <p>5. Click <b>Create Group</b>.</p>
                    <p>The group will be removed automatically unless it is activated within <b>2 days.</b></p>
                </div>
            </ion-row>
        </ion-grid>
    </ion-item> -->
</ion-content>